- NAME
- DESCRIPTION
  - Compatibility with Search::Xapian
- METHODS
- SEE ALSO

# NAME

Xapian::PositionIterator - Iterate over sets of positions.

# DESCRIPTION

This iterator represents a stream of positions for a term. It overloads `++` for advancing the iterator, or you can explicitly call the `inc` method. This class also overloads `eq`, `ne`, `==`, and `!=`.

## Compatibility with Search::Xapian

Search::Xapian overloads <""> (stringification) on this class to call the `get_description` method. Call `get_description` explicitly instead.

Search::Xapian overloads <0+> (convert to an integer) on this class to call the `get_termpos` method. Call `get_termpos` explicitly instead.

# METHODS

new

  Constructor. Defaults to an uninitialized iterator.

clone
inc

  Advance the iterator by one. (Called implicitly by `++` overloading).

skip_to <termpos>

  Advance the iterator to term position termpos, or the first term position after termpos if termpos isn't in the list of term positions being iterated.

equal <positioniterator>

  Compare for equality with another Xapian::PositionIterator object. Also overloaded to the `eq` and `==` operators.

nequal <positioniterator>

  Compare for inequality with another Xapian::PositionIterator object. Also overloaded to the `ne` and `!=` operators.

get_termpos

  Return the term position the iterator is currently on.

get_description

  Return a description of this object.

# SEE ALSO

Xapian, Xapian::Document